Compare commits

...

Author SHA1 Message Date
  Damien Goutte-Gattat a609e25cbf n/gnupg2: Upgraded to gnupg2-2.2.27. 1 week ago
  Damien Goutte-Gattat 13ae83710b l/scute: Upgraded to scute-1.7.0. 1 week ago
  Damien Goutte-Gattat 446eb39159 n/gpgme: Upgraded to gpgme-1.15.1. 1 week ago
  Damien Goutte-Gattat f98cdb1ea8 n/gnupg2: Upgraded to gnupg2-2.2.26. 4 weeks ago
  Damien Goutte-Gattat eec0f3b677 l/libgpg-error: Upgraded to libgpg-error-1.42. 4 weeks ago
  Damien Goutte-Gattat e28730d7b2 n/gnupg2: Upgraded to gnupg2-2.2.25. 1 month ago
  Damien Goutte-Gattat f504976242 l/libksba: Upgraded to libksba-1.5.0. 1 month ago
  Damien Goutte-Gattat 09d675f748 n/gnupg2: Apply the patch properly... 2 months ago
  Damien Goutte-Gattat 95153ceeec n/gnupg2: Patched to fix issue 5065. 2 months ago
  Damien Goutte-Gattat 84cced5b2e n/gpgme: Upgraded to gpgme-1.15.0. 2 months ago
  Damien Goutte-Gattat 9b0d7c466a n/gnupg2: Upgraded to gnupg2-2.2.24. 2 months ago
  Damien Goutte-Gattat 9c0f2716f4 l/libgcrypt: Upgraded to libgcrypt-1.8.7. 2 months ago
  Damien Goutte-Gattat 59d309f51e l/libassuan: Upgraded to libassuan-2.5.4. 2 months ago
  Damien Goutte-Gattat 3cd072bdeb n/gnupg: Update slack-desc. 4 months ago
  Damien Goutte-Gattat b68fa63970 n/gnupg2: Build gnupg as gnupg2. 4 months ago
  Damien Goutte-Gattat d9acdd2248 n/gnupg: Upgraded to gnupg-2.2.23. 4 months ago
  Damien Goutte-Gattat cf09e12ac3 n/gnupg: Upgraded to gnupg-2.2.22. 4 months ago
  Damien Goutte-Gattat bf2a94d724 l/libgpg-error: Upgraded to libgpg-error-1.39. 4 months ago
  Damien Goutte-Gattat 0effe981db n/gpgme: Upgraded to gpgme-1.14.0. 5 months ago
  Damien Goutte-Gattat 50744eea72 n/gnupg: Upgraded to gnupg-2.2.21. 6 months ago
  Damien Goutte-Gattat 7b04a4906d l/libgcrypt: Upgraded to libgcrypt-1.8.6. 6 months ago
  Damien Goutte-Gattat 8159ab11b5 l/libgpg-error: Upgraded to libgpg-error-1.38. 7 months ago
  Damien Goutte-Gattat 624fdd287c Remove all but GnuPG-related SlackBuilds. 7 months ago
  Damien Goutte-Gattat b55b055c73 l/libksba: Upgraded to libksba-1.4.0. 8 months ago
  Damien Goutte-Gattat f4686cc386 n/gnupg: Upgraded to gnupg-2.2.20. 10 months ago
  Damien Goutte-Gattat 8e7cef16c8 l/libgpg-error: Upgraded to libgpg-error-1.37. 11 months ago
  Damien Goutte-Gattat 17f23a6fe4 n/gnupg: Upgraded to gnupg-2.2.19. 1 year ago
  Damien Goutte-Gattat b59b41a21d n/gnupg: Upgraded to gnupg-2.2.18. 1 year ago
1500 changed files with 72 additions and 60386 deletions
Split View
  1. +0
    -23
      ap/EMBOSS/EMBOSS-6.5.7-no-embossupdate.diff
  2. +0
    -1
      ap/EMBOSS/EMBOSS-6.6.0.tar.gz.sha256
  3. +0
    -143
      ap/EMBOSS/EMBOSS.SlackBuild
  4. +0
    -12
      ap/EMBOSS/slack-desc
  5. +0
    -134
      ap/RNAstructure/RNAstructure.SlackBuild
  6. +0
    -1
      ap/RNAstructure/RNAstructureSource.tgz.sha1
  7. +0
    -21
      ap/RNAstructure/rna.sh
  8. +0
    -12
      ap/RNAstructure/slack-desc
  9. +0
    -1
      ap/a2jmidid/a2jmidid-8.tar.bz2.sha1
  10. +0
    -149
      ap/a2jmidid/a2jmidid.SlackBuild
  11. +0
    -12
      ap/a2jmidid/slack-desc
  12. +0
    -1
      ap/adfgvx/adfgvx-0.2.2.tar.gz.sha1
  13. +0
    -113
      ap/adfgvx/adfgvx.SlackBuild
  14. +0
    -12
      ap/adfgvx/slack-desc
  15. +0
    -1
      ap/clamav/clamav-0.99.2.tar.gz.sha1
  16. +0
    -132
      ap/clamav/clamav.SlackBuild
  17. +0
    -9
      ap/clamav/clamd.conf
  18. +0
    -28
      ap/clamav/doinst.sh
  19. +0
    -12
      ap/clamav/freshclam.conf
  20. +0
    -35
      ap/clamav/rc.clamd
  21. +0
    -12
      ap/clamav/slack-desc
  22. +0
    -33
      ap/docbook/catalog.xml
  23. +0
    -2
      ap/docbook/checksums
  24. +0
    -118
      ap/docbook/docbook.SlackBuild
  25. +0
    -12
      ap/docbook/slack-desc
  26. +0
    -1
      ap/dssp/dssp-2.2.1.tgz.sha1
  27. +0
    -113
      ap/dssp/dssp.SlackBuild
  28. +0
    -12
      ap/dssp/slack-desc
  29. +0
    -13
      ap/elogind/doinst.sh
  30. +0
    -1
      ap/elogind/elogind-239.2.tar.gz.sha256
  31. +0
    -114
      ap/elogind/elogind.SlackBuild
  32. +0
    -12
      ap/elogind/slack-desc
  33. +0
    -1
      ap/epubcheck/epubcheck-4.0.1.zip.sha1
  34. +0
    -105
      ap/epubcheck/epubcheck.SlackBuild
  35. +0
    -12
      ap/epubcheck/slack-desc
  36. +0
    -2
      ap/exfat/checksums
  37. +0
    -140
      ap/exfat/exfat.SlackBuild
  38. +0
    -12
      ap/exfat/slack-desc
  39. +0
    -121
      ap/fakeroot/fakeroot.SlackBuild
  40. +0
    -1
      ap/fakeroot/fakeroot_1.20.2.orig.tar.bz2.sha1
  41. +0
    -13
      ap/fakeroot/slack-desc
  42. +0
    -1
      ap/fatsort/fatsort-1.3.365.tar.gz.sha1
  43. +0
    -114
      ap/fatsort/fatsort.SlackBuild
  44. +0
    -12
      ap/fatsort/slack-desc
  45. +0
    -1
      ap/firejail/firejail-0.9.50.tar.xz.sha256
  46. +0
    -115
      ap/firejail/firejail.SlackBuild
  47. +0
    -12
      ap/firejail/slack-desc
  48. +0
    -1
      ap/flatpak/flatpak-1.2.3.tar.xz.sha256
  49. +0
    -131
      ap/flatpak/flatpak.SlackBuild
  50. +0
    -12
      ap/flatpak/slack-desc
  51. +0
    -1
      ap/fluidsynth/fluidsynth-1.1.6.tar.gz.sha256
  52. +0
    -129
      ap/fluidsynth/fluidsynth.SlackBuild
  53. +0
    -12
      ap/fluidsynth/slack-desc
  54. +0
    -1
      ap/fmail/fmail-0.2.1.tar.gz.sha256
  55. +0
    -119
      ap/fmail/fmail.SlackBuild
  56. +0
    -12
      ap/fmail/slack-desc
  57. +0
    -9
      ap/foo2zjs/doinst.sh
  58. +0
    -149
      ap/foo2zjs/foo2zjs.SlackBuild
  59. +0
    -1
      ap/foo2zjs/foo2zjs.tar.gz.sha256
  60. +0
    -12
      ap/foo2zjs/slack-desc
  61. +0
    -12
      ap/fop/doinst.sh
  62. +0
    -1
      ap/fop/fop-2.1-bin.tar.gz.sha1
  63. +0
    -4
      ap/fop/fop-ttfreader.sh
  64. +0
    -140
      ap/fop/fop.SlackBuild
  65. +0
    -20
      ap/fop/fop.sh
  66. +0
    -22
      ap/fop/merge-font-specs.xsl
  67. +0
    -1
      ap/fop/offo-hyphenation-binary_v2.0.zip.sha1
  68. +0
    -12
      ap/fop/slack-desc
  69. +0
    -126
      ap/fop/ttf2fop.sh
  70. +0
    -1
      ap/gfsecret/gfsecret-0.4.4.tar.gz.sha256
  71. +0
    -127
      ap/gfsecret/gfsecret.SlackBuild
  72. +0
    -12
      ap/gfsecret/slack-desc
  73. +0
    -136
      ap/gmic/gmic.SlackBuild
  74. +0
    -1
      ap/gmic/gmic_1.7.9.tar.gz.sha256
  75. +0
    -12
      ap/gmic/slack-desc
  76. +0
    -2
      ap/graphviz/doinst.sh
  77. +0
    -1
      ap/graphviz/graphviz-2.40.1.tar.gz.sha256
  78. +0
    -127
      ap/graphviz/graphviz.SlackBuild
  79. +0
    -12
      ap/graphviz/slack-desc
  80. +0
    -130
      ap/jack/jack.SlackBuild
  81. +0
    -12
      ap/jack/jack2-1.9.10-fast_rand.diff
  82. +0
    -1
      ap/jack/jack2-1.9.10.tar.gz.sha1
  83. +0
    -12
      ap/jack/slack-desc
  84. +0
    -1
      ap/lame/lame-3.99.tar.gz.sha1
  85. +0
    -126
      ap/lame/lame.SlackBuild
  86. +0
    -12
      ap/lame/slack-desc
  87. +0
    -1
      ap/lilypond/lilypond-2.18.2-1.documentation.tar.bz2.sha1
  88. +0
    -12
      ap/lilypond/lilypond-2.18.2-fontforge-version-check.diff
  89. +0
    -1
      ap/lilypond/lilypond-2.18.2.tar.gz.sha1
  90. +0
    -159
      ap/lilypond/lilypond.SlackBuild
  91. +0
    -12
      ap/lilypond/slack-desc
  92. +0
    -1
      ap/mapmaker/mapmaker-0.3.0.tar.gz.sha1
  93. +0
    -127
      ap/mapmaker/mapmaker.SlackBuild
  94. +0
    -12
      ap/mapmaker/slack-desc
  95. +0
    -1
      ap/mkvtoolnix/mkvtoolnix-9.9.0.tar.xz.sha256
  96. +0
    -130
      ap/mkvtoolnix/mkvtoolnix.SlackBuild
  97. +0
    -12
      ap/mkvtoolnix/slack-desc
  98. +0
    -14
      ap/mpd/doinst.sh
  99. +0
    -1
      ap/mpd/mpd-0.20.6.tar.xz.sha256
  100. +0
    -140
      ap/mpd/mpd.SlackBuild

+ 0
- 23
ap/EMBOSS/EMBOSS-6.5.7-no-embossupdate.diff View File

@ -1,23 +0,0 @@
diff -Naur EMBOSS-6.5.7.orig/Makefile.am EMBOSS-6.5.7/Makefile.am
--- EMBOSS-6.5.7.orig/Makefile.am 2012-07-22 13:16:46.000000000 +0200
+++ EMBOSS-6.5.7/Makefile.am 2012-09-22 17:53:10.139185320 +0200
@@ -32,6 +32,3 @@
### tar cBf - plplot/lib | ( cd $(distdir); tar xBf - ; find plplot -name CVS | xargs rm -rf )
tar cBf - doc | ( cd $(distdir); tar xBf - ; find doc -name CVS | xargs rm -rf; )
tar cBf - jemboss | ( cd $(distdir); tar xBf - ; find jemboss -name CVS | xargs rm -rf; find jemboss -name Makefile | xargs rm -rf; find jemboss -name .cvsignore | xargs rm -rf )
-
-install-exec-hook:
- $(bindir)/embossupdate
diff -Naur EMBOSS-6.5.7.orig/Makefile.in EMBOSS-6.5.7/Makefile.in
--- EMBOSS-6.5.7.orig/Makefile.in 2012-07-24 16:11:48.000000000 +0200
+++ EMBOSS-6.5.7/Makefile.in 2012-09-22 17:53:17.575133039 +0200
@@ -790,9 +790,6 @@
tar cBf - doc | ( cd $(distdir); tar xBf - ; find doc -name CVS | xargs rm -rf; )
tar cBf - jemboss | ( cd $(distdir); tar xBf - ; find jemboss -name CVS | xargs rm -rf; find jemboss -name Makefile | xargs rm -rf; find jemboss -name .cvsignore | xargs rm -rf )
-install-exec-hook:
- $(bindir)/embossupdate
-
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

+ 0
- 1
ap/EMBOSS/EMBOSS-6.6.0.tar.gz.sha256 View File

@ -1 +0,0 @@
7184a763d39ad96bb598bfd531628a34aa53e474db9e7cac4416c2a40ab10c6e EMBOSS-6.6.0.tar.gz

+ 0
- 143
ap/EMBOSS/EMBOSS.SlackBuild View File

@ -1,143 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2009-2012,2018 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org
#
# Latest EMBOSS sourcecode is available at:
# <http://emboss.open-bio.org/>.
#
# Optional: ap/postgresql
# Source package infos
NAMESRC=${NAMESRC:-EMBOSS}
VERSION=${VERSION:-6.6.0}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-ftp://emboss.open-bio.org/pub/EMBOSS/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-EMBOSS}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
EXT=${EXT:-txz}
JOBS=${JOBS:-1}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Get REBASE data files
if [ ! -r rebase.tar.gz ]; then
wget -O embossre.enz http://rebase.neb.com/rebase/link_emboss_e
wget -O embossre.sup http://rebase.neb.com/rebase/link_emboss_s
wget -O embossre.ref http://rebase.neb.com/rebase/link_emboss_r
tar czf rebase.tar.gz embossre.{enz,sup,ref}
rm embossre.{enz,sup,ref}
fi
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
# Disable pointless execution of embossupdate during make install
patch -p 1 < $CWD/EMBOSS-6.5.7-no-embossupdate.diff
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
--includedir=/usr/include/EMBOSS \
--disable-dependency-tracking \
--disable-static \
--enable-systemlibs \
--with-java=/usr/lib$LIBDIRSUFFIX/java/include \
--with-javaos=/usr/lib$LIBDIRSUFFIX/java/include/linux
make -j $JOBS
make install-strip DESTDIR=$PKG
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME
install -m 644 AUTHORS COPYING ChangeLog FAQ LICENSE NEWS \
README THANKS $PKG/usr/doc/$NAME
# Install REBASE data
tar xf $CWD/rebase.tar.gz -C $PKG/usr/share/EMBOSS/data/REBASE
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Add dependency infos
cat <<EOF > $PKG/install/slack-required
postgresql
EOF
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 12
ap/EMBOSS/slack-desc View File

@ -1,12 +0,0 @@
|-----handy-ruler------------------------------------------------------|
EMBOSS: emboss (European Molecular Biology Open Software Suite)
EMBOSS:
EMBOSS: EMBOSS is a free Open Source software analysis package specially
EMBOSS: developed for the needs of the molecular biology (e.g. EMBnet) user
EMBOSS: community. The software automatically copes with data in a variety
EMBOSS: of formats and even allows transparent retrieval of sequence data
EMBOSS: from the web. Also, as extensive libraries are provided with the
EMBOSS: package, it is a platform to allow other scientists to develop and
EMBOSS: release software in true open source spirit. EMBOSS also integrates
EMBOSS: tools for sequence analysis into a seamless whole. EMBOSS breaks
EMBOSS: the historical trends towards commercial software package.

+ 0
- 134
ap/RNAstructure/RNAstructure.SlackBuild View File

@ -1,134 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2014,2016 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest RNAstructure sourcecode is available at:
# <http://rna.urmc.rochester.edu/RNAstructureDownload.html>.
# Source package infos
NAMESRC=${NAMESRC:-RNAstructure}
VERSION=${VERSION:-5.8.1}
ARCHIVE=${ARCHIVE:-${NAMESRC}Source.tgz}
WGET=${WGET:-http://rna.urmc.rochester.edu/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-RNAstructure}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
LIBDIRSUFFIX=""
LIBNAMESUFFIX=""
if [ "x$ARCH" = xx86_64 ] ; then
LIBDIRSUFFIX="64"
LIBNAMESUFFIX="_64"
fi
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
make all
(cd java_interface
make gui
)
# Install binaries
mkdir -p $PKG/usr/libexec/RNAstructure $PKG/usr/lib$LIBDIRSUFFIX $PKG/usr/share/RNAstructure
for exe in AccessFold AllSub CircleCompare DuplexFold DynalignDotPlot EnergyPlot EnsembleEnergy Fold Fold-smp MaxExpect NAPSS OligoWalk PARTS ProbKnot ProbabilityPlot ProbablePair RemovePseudoknots ShapeKnots TurboFold TurboFold-smp bifold bipartition ct2dot design dot2ct draw dynalign dynalign_ii efn2 multilign oligoscreen partition phmm refold scorer stochastic ; do
if [ -f exe/$exe-smp ]; then
install -m 755 -s exe/$exe-smp $PKG/usr/libexec/RNAstructure/$(echo $exe | tr [A-Z] [a-z])
else
install -m 755 -s exe/$exe $PKG/usr/libexec/RNAstructure/$(echo $exe | tr [A-Z] [a-z])
fi
done
# Install launcher script
install -m 755 -D $CWD/rna.sh $PKG/usr/bin/rna
# Install Java program
install -m 755 -s exe/libRNAstructure_GUI$LIBNAMESUFFIX.so \
$PKG/usr/lib$LIBDIRSUFFIX
install -m 644 exe/RNAstructure.jar $PKG/usr/share/RNAstructure
cat > $PKG/usr/bin/RNAstructure <<EOF
#!/bin/sh
export DATAPATH=/usr/share/RNAstructure/data_tables
exec java -jar /usr/share/RNAstructure/RNAstructure.jar
EOF
chmod 755 $PKG/usr/bin/RNAstructure
# Install data
cp -r data_tables $PKG/usr/share/RNAstructure
# Install the documentation
mkdir -p $PKG/usr/doc/$NAMEPKG-$VERSION
install -m 644 ReadMe.txt gpl.txt $PKG/usr/doc/$NAMEPKG-$VERSION
cp -r manual $PKG/usr/doc/$NAMEPKG-$VERSION
cp -r examples $PKG/usr/doc/$NAMEPKG-$VERSION
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 1
ap/RNAstructure/RNAstructureSource.tgz.sha1 View File

@ -1 +0,0 @@
bf5d33d0904a0c8f86bbbe84aae3bf21979e73e2 RNAstructureSource.tgz

+ 0
- 21
ap/RNAstructure/rna.sh View File

@ -1,21 +0,0 @@
#!/bin/sh
export DATAPATH=/usr/share/RNAstructure/data_tables
program=$1
if [ -z "$program" ]; then
echo "rna: command expected" >&2
echo "Available commands:" >&2
ls /usr/libexec/RNAstructure >&2
exit 1
elif [ ! -x /usr/libexec/RNAstructure/$program ]; then
echo "rna: command not found" >&2
echo "Available commands:" >&2
ls /usr/libexec/RNAstructure >&2
exit 2
fi
shift
exec /usr/libexec/RNAstructure/$program "$@"

+ 0
- 12
ap/RNAstructure/slack-desc View File

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
RNAstructure: RNAstructure (RNA secondary structure analysis tools)
RNAstructure:
RNAstructure: This package provides RNAstructure, which includes tools for RNA
RNAstructure: secondary structure prediction and analysis.
RNAstructure:
RNAstructure:
RNAstructure:
RNAstructure:
RNAstructure:
RNAstructure:
RNAstructure:

+ 0
- 1
ap/a2jmidid/a2jmidid-8.tar.bz2.sha1 View File

@ -1 +0,0 @@
0220fc0dcc2943c9c0df5bf622ec1d4765432ac3 a2jmidid-8.tar.bz2

+ 0
- 149
ap/a2jmidid/a2jmidid.SlackBuild View File

@ -1,149 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2010,2011,2012,2013 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest a2jmidid sourcecode is available at:
# <http://home.gna.org/a2jmidid/>
#
# Depends: ap/jack
# Source package infos
NAMESRC=${NAMESRC:-a2jmidid}
VERSION=${VERSION:-8}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.bz2}
WGET=${WGET:-http://download.gna.org/a2jmidid/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-a2jmidid}
BUILD=${BUILD:-2GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Extract
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
# No way to do something as simple as to modify LDFLAGS with waf...
# Just forget that useless piece of crap and build by hand
cat > config.h <<EOC
#ifndef _CONFIG_H
#define _CONFIG_H
#define HAVE_ALSA 1
#define HAVE_JACK 1
#define HAVE_DBUS_1 1
#define HAVE_GETOPT_H 1
#define A2J_VERSION "8"
#endif
EOC
LDFLAGS="-ldl -ldbus-1 -lasound -ljack -lpthread"
gcc $CFLAGS -c -I. -I/usr/include/dbus-1.0 \
-I/usr/lib$LIBDIRSUFFIX/dbus-1.0/include \
a2jmidid.c log.c port.c port_*.c paths.c jack.c list.c \
dbus.c dbus_*.c sigsegv.c j2amidi_bridge.c a2jmidi_bridge.c
gcc -o a2jmidid a2jmidid.o log.o port.o port_*.o paths.o jack.o \
list.o dbus.o dbus_*.o sigsegv.o $LDFLAGS
gcc -o j2amidi_bridge j2amidi_bridge.o $LDFLAGS
gcc -o a2jmidi_bridge a2jmidi_bridge.o $LDFLAGS
# Install
mkdir -p $PKG/usr/bin $PKG/usr/man/man1
install -s -m 755 a2jmidid j2amidi_bridge a2jmidi_bridge $PKG/usr/bin
install -m 755 a2j a2j_control $PKG/usr/bin
install -m 644 man/*.1 $PKG/usr/man/man1
# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
# Install D-Bus service file
mkdir -p $PKG/usr/share/dbus-1/services
cat > $PKG/usr/share/dbus-1/services/org.gna.home.a2jmidi2.service <<EOS
[D-BUS Service]
Name=org.gna.home.a2jmidid
Exec=/usr/bin/a2jmidid dbus
EOS
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME
install -m 644 AUTHORS NEWS README gpl2.txt internals.txt $PKG/usr/doc/$NAME
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 12
ap/a2jmidid/slack-desc View File

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
a2jmidid: a2jmidid (ALSA/JACK MIDI bridge)
a2jmidid:
a2jmidid: a2jmidid is a daemon for exposing legacy ALSA sequencer applications
a2jmidid: in JACK MIDI system.
a2jmidid:
a2jmidid:
a2jmidid:
a2jmidid:
a2jmidid:
a2jmidid:
a2jmidid:

+ 0
- 1
ap/adfgvx/adfgvx-0.2.2.tar.gz.sha1 View File

@ -1 +0,0 @@
b783cd834e4fec6a364f55f339543096197a66b1 adfgvx-0.2.2.tar.gz

+ 0
- 113
ap/adfgvx/adfgvx.SlackBuild View File

@ -1,113 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2009,2013 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest adfgvx sourcecode is available at:
# <http://www.incenp.org/dvlpt/adfgvx.html>.
# Source package infos
NAMESRC=${NAMESRC:-adfgvx}
VERSION=${VERSION:-0.2.2}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-http://www.incenp.org/files/softs/adfgvx/0.2/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-adfgvx}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Compilation flags
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--mandir=/usr/man \
--docdir=/usr/doc/$NAME
make -j $JOBS
make install-strip DESTDIR=$PKG
# Compress man and info pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-${VERSION//-/}-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 12
ap/adfgvx/slack-desc View File

@ -1,12 +0,0 @@
|-----handy-ruler------------------------------------------------------|
adfgvx: adfgvx (ADFGVX ciphering tool)
adfgvx:
adfgvx: This is an implementation of the 1918 ADFGVX cipher.
adfgvx:
adfgvx:
adfgvx:
adfgvx:
adfgvx:
adfgvx:
adfgvx:
adfgvx:

+ 0
- 1
ap/clamav/clamav-0.99.2.tar.gz.sha1 View File

@ -1 +0,0 @@
c1a47411834d8527f7b40727aebee63f01d488af clamav-0.99.2.tar.gz

+ 0
- 132
ap/clamav/clamav.SlackBuild View File

@ -1,132 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2014,2015,2016 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest clamav sourcecode is available at: <http://www.clamav.net/>.
# Source package infos
NAMESRC=${NAMESRC:-clamav}
VERSION=${VERSION:-0.99.2}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-http://www.clamav.net/downloads/production/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-clamav}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
--sysconfdir=/etc \
--mandir=/usr/man \
--localstatedir=/var \
--disable-clamav
make -j $JOBS
make install-strip DESTDIR=$PKG
# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME/licenses
install -m 644 COPYING* $PKG/usr/doc/$NAME/licenses
install -m 644 AUTHORS NEWS README docs/*.pdf $PKG/usr/doc/$NAME
cp -r docs/html $PKG/usr/doc/$NAME/html
mv $PKG/etc/*.conf.sample $PKG/usr/doc/$NAME
# Install configuration files
install -m 644 $CWD/clamd.conf $PKG/etc/clamd.conf.new
install -m 644 $CWD/freshclam.conf $PKG/etc/freshclam.conf.new
# Install control script
install -D -m 644 $CWD/rc.clamd $PKG/etc/rc.d/rc.clamd
# Copy slack-desc and doinst.sh files
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
install -m 755 $CWD/doinst.sh $PKG/install/doinst.sh
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 9
ap/clamav/clamd.conf View File

@ -1,9 +0,0 @@
LogSyslog yes
LogFacility LOG_LOCAL6
User clamav
PidFile /var/run/clamav/clamd.pid
TemporaryDirectory /tmp
DatabaseDirectory /var/lib/clamav
LocalSocket /var/run/clamav/clamd.socket

+ 0
- 28
ap/clamav/doinst.sh View File

@ -1,28 +0,0 @@
#!/bin/sh
config()
{
NEW="$1"
OLD="`dirname $NEW`/`basename $NEW .new`"
if [ ! -r $OLD ]; then
mv $NEW $OLD
elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
rm $NEW
fi
}
config etc/clamd.conf.new
config etc/freshclam.conf.new
if ! grep ^clamav /etc/passwd > /dev/null ; then
/usr/sbin/useradd -r -s /bin/false -U -c ClamAV -d /var/lib/clamav clamav
fi
if ! [ -d var/lib/clamav ]; then
mkdir -p var/lib/clamav
chown clamav:clamav var/lib/clamav
fi
if ! [ -d var/run/clamav ]; then
mkdir -p var/run/clamav
chown clamav:clamav var/run/clamav
fi

+ 0
- 12
ap/clamav/freshclam.conf View File

@ -1,12 +0,0 @@
LogSyslog yes
LogFacility LOG_LOCAL6
DatabaseOwner clamav
PidFile /var/run/clamav/freshclam.pid
DatabaseDirectory /var/lib/clamav
DatabaseMirror db.fr.clamav.net
DatabaseMirror database.clamav.net
NotifyClamd /etc/clamd.conf

+ 0
- 35
ap/clamav/rc.clamd View File

@ -1,35 +0,0 @@
#!/bin/sh
pidfile=`sed -nre 's/^PidFile (.+)$/\1/p' /etc/clamd.conf`
case "$1" in
start)
/usr/sbin/clamd
;;
stop)
[ -f "$pidfile" ] && kill -TERM `cat $pidfile`
;;
restart)
$0 stop
sleep 1
$0 start
;;
reload)
[ -f "$pidfile" ] && kill -USR2 `cat $pidfile`
;;
status)
if [ -f "$pidfile" ] && kill -0 `cat $pidfile` ; then
echo "ClamAV is running."
else
echo "ClamAV is not running."
fi
;;
*)
echo "usage: $0 {start|stop|restart|reload}"
exit 1
esac

+ 0
- 12
ap/clamav/slack-desc View File

@ -1,12 +0,0 @@
|-----handy-ruler-------------------------------------------------------|
clamav: clamav (ClamAV antivirus software)
clamav:
clamav: ClamAV is an open source antivirus engine designed for detecting
clamav: trojans, viruses, malware and other malicious threats. It is the de
clamav: facto standard for mail gateway scanning. It provides a high
clamav: performance multi-threaded scanning daemon, command line utilities
clamav: for on demand file scanning, and an intelligent tool for
clamav: automatic signature updates.
clamav:
clamav:
clamav:

+ 0
- 33
ap/docbook/catalog.xml View File

@ -1,33 +0,0 @@
<?xml version="1.0"?>
<!DOCTYPE catalog PUBLIC "-//OASIS//DTD Entity Resolution XML Catalog V1.0//EN" "http://www.oasis-open.org/committees/entity/release/1.0/catalog.dtd">
<catalog xmlns="urn:oasis:names:tc:entity:xmlns:xml:catalog" prefer="public">
<public publicId="-//OASIS//DTD DocBook XML 5.0//EN" uri="file:///usr/share/xml/docbook/xml-5.0/dtd/docbook.dtd"/>
<system systemId="http://www.oasis-open.org/docbook/xml/5.0/dtd/docbook.dtd" uri="file:///usr/share/xml/docbook/xml-5.0/dtd/docbook.dtd"/>
<system systemId="http://docbook.org/xml/5.0/dtd/docbook.dtd" uri="file:///usr/share/xml/docbook/xml-5.0/dtd/docbook.dtd"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/rng/docbook.rng" uri="file:///usr/share/xml/docbook/xml-5.0/rng/docbook.rng"/>
<uri name="http://docbook.org/xml/5.0/rng/docbook.rng" uri="file:///usr/share/xml/docbook/xml-5.0/rng/docbook.rng"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/rng/docbookxi.rng" uri="file:///usr/share/xml/docbook/xml-5.0/rng/docbookxi.rng"/>
<uri name="http://docbook.org/xml/5.0/rng/docbookxi.rng" uri="file:///usr/share/xml/docbook/xml-5.0/rng/docbookxi.rng"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/rng/docbook.rnc" uri="file:///usr/share/xml/docbook/xml-5.0/rng/docbook.rnc"/>
<uri name="http://docbook.org/xml/5.0/rng/docbook.rnc" uri="file:///usr/share/xml/docbook/xml-5.0/rng/docbook.rnc"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/rng/docbookxi.rnc" uri="file:///usr/share/xml/docbook/xml-5.0/rng/docbookxi.rnc"/>
<uri name="http://docbook.org/xml/5.0/rng/docbookxi.rnc" uri="file:///usr/share/xml/docbook/xml-5.0/rng/docbookxi.rnc"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/xsd/docbook.xsd" uri="file:///usr/share/xml/docbook/xml-5.0/xsd/docbook.xsd"/>
<uri name="http://docbook.org/xml/5.0/xsd/docbook.xsd" uri="file:///usr/share/xml/docbook/xml-5.0/xsd/docbook.xsd"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/xsd/docbookxi.xsd" uri="file:///usr/share/xml/docbook/xml-5.0/xsd/docbookxi.xsd"/>
<uri name="http://docbook.org/xml/5.0/xsd/docbookxi.xsd" uri="file:///usr/share/xml/docbook/xml-5.0/xsd/docbookxi.xsd"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/xsd/xi.xsd" uri="file:///usr/share/xml/docbook/xml-5.0/xsd/xi.xsd"/>
<uri name="http://docbook.org/xml/5.0/xsd/xi.xsd" uri="file:///usr/share/xml/docbook/xml-5.0/xsd/xi.xsd"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/xsd/xlink.xsd" uri="file:///usr/share/xml/docbook/xml-5.0/xsd/xlink.xsd"/>
<uri name="http://docbook.org/xml/5.0/xsd/xlink.xsd" uri="file:///usr/share/xml/docbook/xml-5.0/xsd/xlink.xsd"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/xsd/xml.xsd" uri="file:///usr/share/xml/docbook/xml-5.0/xsd/xml.xsd"/>
<uri name="http://docbook.org/xml/5.0/xsd/xml.xsd" uri="file:///usr/share/xml/docbook/xml-5.0/xsd/xml.xsd"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/sch/docbook.sch" uri="file:///usr/share/xml/docbook/xml-5.0/sch/docbook.sch"/>
<uri name="http://docbook.org/xml/5.0/sch/docbook.sch" uri="file:///usr/share/xml/docbook/xml-5.0/sch/docbook.sch"/>
<uri name="http://www.oasis-open.org/docbook/xml/5.0/docbook.nvdl" uri="file:///usr/share/xml/docbook/xml-5.0/docbook.nvdl"/>
<uri name="http://docbook.org/xml/5.0/docbook.nvdl" uri="file:///usr/share/xml/docbook/xml-5.0/docbook.nvdl"/>
<rewriteURI uriStartString="http://docbook.sourceforge.net/release/xsl-ns/current/" rewritePrefix="/usr/share/xml/docbook/xsl-stylesheets-ns-1.78.1/"/>
<rewriteSystem systemIdStartString="http://docbook.sourceforge.net/release/xsl-ns/current/" rewritePrefix="/usr/share/xml/docbook/xsl-stylesheets-ns-1.78.1/"/>
<rewriteURI uriStartString="http://docbook.sourceforge.net/release/xsl-ns/1.78.1/" rewritePrefix="/usr/share/xml/docbook/xsl-stylesheets-ns-1.78.1/"/>
<rewriteSystem systemIdStartString="http://docbook.sourceforge.net/release/xsl-ns/1.78.1/" rewritePrefix="/usr/share/xml/docbook/xsl-stylesheets-ns-1.78.1/"/>
</catalog>

+ 0
- 2
ap/docbook/checksums View File

@ -1,2 +0,0 @@
49f274e67efdee771300cba4da1f3e4bc00be1ec docbook-5.0.zip
6a0823039b22ae0e0e9bc5ecc0dc325acdc3218f docbook-xsl-ns-1.78.1.tar.bz2

+ 0
- 118
ap/docbook/docbook.SlackBuild View File

@ -1,118 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2010,2011,2013 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest docbook sourcecode is available at:
# <http://docbook.sourceforge.net/>.
# Source package infos
DBVERSION=5.0
DBARCHIVE=docbook-$DBVERSION.zip
DBURL=http://www.docbook.org/xml/$DBVERSION/$DBARCHIVE
XSLVERSION=1.78.1
XSLARCHIVE=docbook-xsl-ns-$XSLVERSION.tar.bz2
XSLURL=http://downloads.sourceforge.net/docbook/$XSLARCHIVE
# Build infos
NAMEPKG=${NAMEPKG:-docbook}
VERSION=$DBVERSION
BUILD=${BUILD:-1GGD}
ARCH=noarch
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Get and verify the source archives
if [ ! -r $DBARCHIVE ]; then
wget -c -O $DBARCHIVE.part "$DBURL"
mv $DBARCHIVE.part $DBARCHIVE
fi
if [ ! -r $XSLARCHIVE ]; then
wget -c -O $XSLARCHIVE.part "$XSLURL"
mv $XSLARCHIVE.part $XSLARCHIVE
fi
sha1sum -c checksums
# Install DocBook schemas
cd $TMP
unzip $CWD/$DBARCHIVE
cd docbook-$DBVERSION
mkdir -p $PKG/usr/share/xml/docbook/xml-$DBVERSION
install -m 644 docbook.nvdl $PKG/usr/share/xml/docbook/xml-$DBVERSION
cp -a dtd rng sch tools xsd $PKG/usr/share/xml/docbook/xml-$DBVERSION
mkdir -p $PKG/usr/doc/docbook-$DBVERSION
install -m 644 ChangeLog $PKG/usr/doc/docbook-$DBVERSION
cp -a docs $PKG/usr/doc/docbook-$DBVERSION
mkdir -p $PKG/etc/xml $PKG/usr/share/xml/docbook \
$PKG/usr/doc/docbook-$DBVERSION
# Install XSL stylesheets
cd $TMP
tar xf $CWD/$XSLARCHIVE
cd docbook-xsl-ns-$XSLVERSION
mkdir -p $PKG/usr/share/xml/docbook/xsl-stylesheets-ns-$XSLVERSION
cp -a common eclipse epub extensions fo highlighting html htmlhelp \
images javahelp lib manpages params profiling roundtrip slides \
template tools webhelp website xhtml xhtml-1_1 VERSION{,.xsl} \
$PKG/usr/share/xml/docbook/xsl-stylesheets-ns-$XSLVERSION
install -m 644 AUTHORS BUGS COPYING NEWS* README RELEASE-NOTES* \
TODO $PKG/usr/doc/docbook-$DBVERSION
cp -a docsrc $PKG/usr/doc/docbook-$DBVERSION/xsl-doc
# Install updated XML catalog
install -D -m 644 $CWD/catalog.xml $PKG/etc/xml/docbook5.xml
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/docbook-$DBVERSION
rm -rf $TMP/docbook-xsl-ns-$XSLVERSION
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 12
ap/docbook/slack-desc View File

@ -1,12 +0,0 @@
|-----handy-ruler------------------------------------------------------|
docbook: docbook (DocBook 5.0 schemas and stylesheets)
docbook:
docbook: This package provides RelaxNG/Schematron schemas for DocBook version
docbook: 5.0 and the corresponding namespace-enabled XSL stylesheets.
docbook:
docbook:
docbook:
docbook:
docbook:
docbook:
docbook:

+ 0
- 1
ap/dssp/dssp-2.2.1.tgz.sha1 View File

@ -1 +0,0 @@
b0fe1b2a4c5c04efaac9f89442fa6f2947ff75b7 dssp-2.2.1.tgz

+ 0
- 113
ap/dssp/dssp.SlackBuild View File

@ -1,113 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright 2008,2009,2013 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest dsspcmbi sourcecode is available at:
# <http://swift.cmbi.ru.nl/gv/dssp/>.
# Source package infos
NAMESRC=${NAMESRC:-dssp}
VERSION=${VERSION:-2.2.1}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tgz}
WGET=${WGET:-ftp://ftp.cmbi.ru.nl/pub/software/dssp/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-dssp}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e
# Sanity check
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Compilation flags
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
echo "BOOST_LIB_SUFFIX =" > make.config
sed -i 's/-static//' makefile
make -j $JOBS
# Install
mkdir -p $PKG/usr/bin $PKG/usr/man/man1 $PKG/usr/doc/$NAME
install -s -m 755 mkdssp $PKG/usr/bin/mkdssp
install -m 644 doc/mkdssp.1 $PKG/usr/man/man1/mkdssp.1
gzip -9 $PKG/usr/man/man1/mkdssp.1
install -m 644 LICENSE_1_0.txt README.txt changelog \
$PKG/usr/doc/$NAMESRC-$VERSION
# Copy slack-desc file
install -D -m 755 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 12
ap/dssp/slack-desc View File

@ -1,12 +0,0 @@
|-----handy-ruler------------------------------------------------------|
dssp: dssp (protein structure prediction program)
dssp:
dssp: DSSP defines secondary structure and solvent exposure of proteins
dssp: from atomic coordinates as given in Protein Data Bank format.
dssp:
dssp: W. Kabsch and C. Sander (1983), BioPolymers 22:2577-2637
dssp:
dssp:
dssp:
dssp:
dssp:

+ 0
- 13
ap/elogind/doinst.sh View File

@ -1,13 +0,0 @@
#!/bin/sh
config()
{
NEW="$1"
OLD="`dirname $NEW`/`basename $NEW .new`"
if [ ! -r $OLD ]; then
mv $NEW $OLD
elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
rm $NEW
fi
}
config etc/elogind/logind.conf.new

+ 0
- 1
ap/elogind/elogind-239.2.tar.gz.sha256 View File

@ -1 +0,0 @@
afbe4f574b299273041d5e3542d764145e9035642e800ea4697d31f44923f2e1 elogind-239.2.tar.gz

+ 0
- 114
ap/elogind/elogind.SlackBuild View File

@ -1,114 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2019 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest elogind sourcecode is available at:
# <https://github.com/elogind/elogind>.
#
# Depends: d/meson
# Source package infos
NAMESRC=${NAMESRC:-elogind}
VERSION=${VERSION:-239.2}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-https://github.com/elogind/elogind/archive/v$VERSION.tar.gz}
# Build infos
NAMEPKG=${NAMEPKG:-elogind}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
LIBDIRSUFFIX=
[ "x$ARCH" = xx86_64 ] && LIBDIRSUFFIX=64
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
meson build \
--prefix /usr \
--libdir /usr/lib$LIBDIRSUFFIX \
--sysconfdir /etc \
--mandir /usr/man
make
make install DESTDIR=$PKG
# Strip binaries
find $PKG | xargs file | grep "ELF \(32\|64\)-bit LSB" | cut -d : -f 1 | \
xargs strip --strip-unneeded 2> /dev/null
# Protect configuration file
mv $PKG/etc/elogind/logind.conf $PKG/etc/elogind/logind.conf.new
# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME
install -m 644 LICENSE.* NEWS README TODO $PKG/usr/doc/$NAME
# Copy slack-desc and doinst.sh files
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
install -m 755 $CWD/doinst.sh $PKG/install/doinst.sh
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 12
ap/elogind/slack-desc View File

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
elogind: elogind (Elogind User, Sear and Session Manager)
elogind:
elogind: Elogind is the systemd project's "logind", extracted out to be a
elogind: standalone daemon.
elogind:
elogind:
elogind:
elogind:
elogind:
elogind:
elogind:

+ 0
- 1
ap/epubcheck/epubcheck-4.0.1.zip.sha1 View File

@ -1 +0,0 @@
194afa457f8eaea398aa7deb2f471c3ba39af816 epubcheck-4.0.1.zip

+ 0
- 105
ap/epubcheck/epubcheck.SlackBuild View File

@ -1,105 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2014,2016 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest epubcheck sourcecode is available at:
# <https://github.com/IDPF/epubcheck>.
# Source package infos
NAMESRC=${NAMESRC:-epubcheck}
VERSION=${VERSION:-4.0.1}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.zip}
WGET=${WGET:-https://github.com/IDPF/epubcheck/releases/download/v$VERSION/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-epubcheck}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-noarch}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$NAMESRC-$VERSION
# Install
cd $TMP
echo "Building $ARCHIVE..."
unzip $CWD/$ARCHIVE
cd $NAME
chmod 755 lib licenses
mkdir -p $PKG/usr/lib/epubcheck
install -m 644 epubcheck.jar $PKG/usr/lib/epubcheck/
cp -r lib $PKG/usr/lib/epubcheck/lib
# Install launch script
mkdir -p $PKG/usr/bin
cat > $PKG/usr/bin/epubcheck <<EOF
#!/bin/sh
exec java -jar /usr/lib/epubcheck/epubcheck.jar "\$@"
EOF
chmod 755 $PKG/usr/bin/epubcheck
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME
install -m 644 COPYING.txt README.txt THIRD-PARTY.txt $PKG/usr/doc/$NAME
cp -r licenses $PKG/usr/doc/$NAME/licenses
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 12
ap/epubcheck/slack-desc View File

@ -1,12 +0,0 @@
|-----handy-ruler----------------------------------------------------|
epubcheck: epubcheck (EPUB validator)
epubcheck:
epubcheck: EpubCheck is a tool to validate IDPF Epub files. It can detect many
epubcheck: types of errors in Epub. OCF container structure, OPF and OPS
epubcheck: mark-up, and internal reference consistency are checked. EpubCheck
epubcheck: can be run as a standalone command-line tool, installed as a web
epubcheck: application or used as a library.
epubcheck:
epubcheck:
epubcheck:
epubcheck:

+ 0
- 2
ap/exfat/checksums View File

@ -1,2 +0,0 @@
386132d155b92c7d27735483663f2724844cb904ef9ecd83c374cffe831dffe4 exfat-utils-1.2.7.tar.gz
82c3cd328179fd1ab8c5e9f1a10b831c2d67c1cf15a7b9b361fc35d02c63c035 fuse-exfat-1.2.7.tar.gz

+ 0
- 140
ap/exfat/exfat.SlackBuild View File

@ -1,140 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2017 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest fuse-exfat sourcecode is available at:
# <https://github.com/relan/exfat/>.
# Source package infos
NAMESRC=${NAMESRC:-fuse-exfat}
VERSION=${VERSION:-1.2.7}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-https://github.com/relan/exfat/releases/download/v1.2.7/$ARCHIVE}
UTILS_ARCHIVE=${UTILS_ARCHIVE:-exfat-utils-$VERSION.tar.gz}
UTILS_WGET=${UTILS_WGET:-https://github.com/relan/exfat/releases/download/v1.2.7/$UTILS_ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-exfat}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Compilation flags
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archives
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
if [ ! -r $UTILS_ARCHIVE ]; then
wget -c -O $UTILS_ARCHIVE.part "$UTILS_WGET"
mv $UTILS_ARCHIVE.part $UTILS_ARCHIVE
fi
sha256sum -c checksums
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
UTILS_NAME=$(tar ft $UTILS_ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--sbindir=/sbin \
--mandir=/usr/man \
--build=$ARCH-slackware-linux
make -j $JOBS
make install-strip DESTDIR=$PKG
cd $TMP
echo "Building $UTILS_ARCHIVE..."
tar xf $CWD/$UTILS_ARCHIVE
cd $UTILS_NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--sbindir=/sbin \
--mandir=/usr/man \
--build=$ARCH-slackware-linux
make -j $JOBS
make install-strip DESTDIR=$PKG
# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
# Install the documentation
mkdir -p $PKG/usr/doc/$NAMEPKG-$VERSION
install -m 644 COPYING ChangeLog README $PKG/usr/doc/$NAMEPKG-$VERSION
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME $TMP/$UTILS_NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 12
ap/exfat/slack-desc View File

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
exfat: exfat (exFAT file system implementation)
exfat:
exfat: This project aims to provide a full-featured exFAT file system
exfat: implementation for Unix-like systems. It consists of a FUSE module
exfat: and a set of utilities.
exfat:
exfat:
exfat:
exfat:
exfat:
exfat:

+ 0
- 121
ap/fakeroot/fakeroot.SlackBuild View File

@ -1,121 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2008,2009,2010,2011,2015 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Latest fakeroot sourcecode is available at:
# <http://ftp.debian.org/debian/pool/main/f/fakeroot/>.
# Source package infos
NAMESRC=${NAMESRC:-fakeroot}
VERSION=${VERSION:-1.20.2}
ARCHIVE=${ARCHIVE:-${NAMESRC}_$VERSION.orig.tar.bz2}
WGET=${WGET:-http://ftp.debian.org/debian/pool/main/f/fakeroot/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-fakeroot}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--mandir=/usr/man \
--libdir=/usr/lib$LIBDIRSUFFIX \
--disable-static \
--disable-dependency-tracking
make -j ${JOBS}
make install-strip DESTDIR=$PKG
# Compress man and info pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME
install -m 644 AUTHORS BUGS COPYING DEBUG INSTALL README doc/README.saving \
$PKG/usr/doc/$NAME
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
chmod u+s $PKG/usr/lib$LIBDIRSUFFIX/libfakeroot.so
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

+ 0
- 1
ap/fakeroot/fakeroot_1.20.2.orig.tar.bz2.sha1 View File

@ -1 +0,0 @@
367040df07043edb630942b21939e493f3fad888 fakeroot_1.20.2.orig.tar.bz2

+ 0
- 13
ap/fakeroot/slack-desc View File

@ -1,13 +0,0 @@
|-----handy-ruler------------------------------------------------------|
fakeroot: fakeroot (fake root environment)
fakeroot:
fakeroot: fakeroot provides a fake "root environment" by means of LD_PRELOAD
fakeroot: and SYSV IPC or TCP trickery.
fakeroot:
fakeroot:
fakeroot:
fakeroot:
fakeroot:
fakeroot:
fakeroot:

+ 0
- 1
ap/fatsort/fatsort-1.3.365.tar.gz.sha1 View File

@ -1 +0,0 @@
9ae5d1ab5e4c91e6725237fab1271f881c3edb59 fatsort-1.3.365.tar.gz

+ 0
- 114
ap/fatsort/fatsort.SlackBuild View File

@ -1,114 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2012,2013,2016 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING